//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "RVEdit.hpp"
#include "RichView.hpp"
#include "RVScroll.hpp"
#include <ExtCtrls.hpp>
#include "RVStyle.hpp"
#include "RVTable.hpp"
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TRichViewEdit *rve;
	TPanel *Panel1;
	TButton *Button1;
	TButton *Button2;
	TRVStyle *RVStyle1;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall rveChange(TObject *Sender);
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall Button2Click(TObject *Sender);
	void __fastcall rvePaste(TCustomRichViewEdit *Sender, bool &DoDefault);
private:	// User declarations
    TRVTableItemInfo* table;
    void Calculate();
    void __fastcall TForm1::OnCellEditing(TRVTableItemInfo* Sender, int Row, int Col,
      bool Automatic, bool &AllowEdit);
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 